# For transitioning from rpm5
# Initial bootstrap of rpm4 with rpm5
%{!?_rpmconfigdir: %define _rpmconfigdir /usr/lib/rpm}
%{!?_rpmluadir: %define _rpmluadir %{_rpmconfigdir}/lua}

Name:		rpm-openmandriva-setup
Version:	0.4.1
Release:	0.1
Group:		System/Configuration/Packaging
Summary:	Macros and scripts for OpenMandriva specific rpm behavior
License:	MIT
URL:		https://github.com/OpenMandrivaSoftware/rpm-openmandriva-setup
Source0:	https://github.com/OpenMandrivaSoftware/rpm-openmandriva-setup/archive/%{version}/%{name}-%{version}.tar.gz
# Replacing legacy rpm-mandriva-setup
Obsoletes:	rpm-mandriva-setup < 1.150
Provides:	rpm-mandriva-setup = 1.150
# For convenience
Provides:	rpm-rosa-setup = %{version}-%{release}
Requires:	rpm >= 2:4.14.2-0
#Recommends:	systemd-macros
BuildArch:	noarch
# Forge handling macros
# (From: https://src.fedoraproject.org/rpms/redhat-rpm-config/tree):
Source8:	forge.lua
Source9:	macros.forge
Source10:	common.lua

# ROSA specific tweaks
## Add a simple shim for apply_patches macro to permit most packages to build
Patch0500:	rpm-openmandriva-setup-0.4.1-add-apply_patches-shim.patch
## Drop conflicting pyX_build/pyX_install macros
Patch0501:	rpm-openmandriva-setup-0.4.1-drop-pyX_build-pyX_install.patch
# ROSA branding change
Patch1000:	0001-OMA-to-ROSA.patch
## Patches for rpm5->rpm4 transition
Patch10001:	10001-HACK-Disable-automatic-rpmlint-runs-for-rpm5-rpm4-tr.patch


%description
Macros and scripts for OpenMandriva specific rpm behavior.

This has been adapted for ROSA Linux systems.

%package build
Summary:	Macros and scripts for OpenMandriva specific rpmbuild behavior
Group:		System/Configuration/Packaging
# Replacing legacy rpm-mandriva-setup-build
Obsoletes:	rpm-mandriva-setup-build < 1.150
Provides:	rpm-mandriva-setup-build = 1.150
# For convenience
Provides:	rpm-rosa-setup-build = %{version}-%{release}
Requires:	rpm-build >= 2:4.14.0-0
# (tpg) do not use %%EVRD here, as it does not exist yet
Requires:	%{name} = %{version}-%{release}
# Required for package builds to work
Requires:	dwz
#Requires:	rpmlint
#Requires:	rpmlint-openmandriva-policy
Requires:	spec-helper
Requires:	binutils
#Recommends:	systemd-macros

%description build
Macros and scripts for OpenMandriva specific rpmbuild behavior.

This has been adapted for ROSA Linux systems.

%prep
%setup -q
%patch0500 -p1
%patch0501 -p1
%patch1000 -p1
%patch10001 -p1

%build
cd user
find . -type f -o -type l |sed -e 's,^\.,%%{_rpmconfigdir},' >../user.filelist
cd ../build
find . -type f -o -type l |sed -e 's,^\.,%%{_rpmconfigdir},' >../build.filelist

%install
mkdir -p %{buildroot}%{_rpmconfigdir}
cp -a user/* build/* %{buildroot}%{_rpmconfigdir}

install -D %{S:9} -m 0644 %{buildroot}%{_rpmconfigdir}/macros.d/
mkdir -p %{buildroot}%{_rpmluadir}/fedora/srpm
install -D %{S:10} %{buildroot}%{_rpmluadir}/fedora
install -D %{S:8} %{buildroot}%{_rpmluadir}/fedora/srpm

%files -f user.filelist
# We should own this directory
%dir %{_rpmconfigdir}/openmandriva

%files build -f build.filelist
%{_rpmluadir}/fedora/common.lua
%{_rpmluadir}/fedora/srpm/forge.lua
%{_rpmconfigdir}/macros.d/macros.forge
